Mise à jour effectuée, merci de nous signaler tout dysfonctionnement ! | Upgrade done, please let us know about any dysfunction!

Commit 5862ba43 authored by Cédric Moreau's avatar Cédric Moreau
Browse files

[fix] test_cesium.sh was incorrect on a clean clone

parent 43beb0a4
{
"dependencies": {
"bs58": "^4.0.1",
"co": "^4.6.0",
"js-yaml": "^3.8.4",
"request": "^2.81.0",
"request-promise": "^4.2.1"
}
......
......@@ -7,9 +7,11 @@ mkdir -p $TEMP_DIR && cd $TEMP_DIR
# Install NW.js
if [[ ! -f $ROOT_DIR/src/nw/nw ]]; then
wget https://dl.nwjs.io/v0.22.3/nwjs-v0.22.3-linux-x64.tar.gz
tar xvzf nwjs-v0.22.3-linux-x64.tar.gz
mv nw/* "$ROOT_DIR/src/nw"
wget http://dl.nwjs.io/v0.22.3/nwjs-sdk-v0.22.3-linux-x64.tar.gz
tar xvzf nwjs-sdk-v0.22.3-linux-x64.tar.gz
mv nwjs-sdk-v0.22.3-linux-x64/* "$ROOT_DIR/src/nw"
rm nwjs-sdk-v0.22.3-linux-x64.tar.gz
rmdir nwjs-sdk-v0.22.3-linux-x64
rmdir nw
fi
......@@ -19,6 +21,8 @@ if [[ ! -f $ROOT_DIR/src/nw/cesium/index.html ]]; then
wget https://github.com/duniter/cesium/releases/download/v0.12.7/cesium-v0.12.7-web.zip
unzip cesium-v0.12.7-web.zip
rm cesium-v0.12.7-web.zip
sed -i 's/<script src="config.js"><\/script>/<script src="config.js"><\/script><script src="node.js"><\/script>/' "index.html"
sed -i 's/<script src="config.js"><\/script>/<script src="config.js"><\/script><script src="node.js"><\/script>/' "debug.html"
mv * "$ROOT_DIR/src/nw/cesium/"
cd ..
rmdir cesium_unzip
......
......@@ -9,6 +9,12 @@ ajv@^4.9.1:
co "^4.6.0"
json-stable-stringify "^1.0.1"
argparse@^1.0.7:
version "1.0.9"
resolved "https://registry.yarnpkg.com/argparse/-/argparse-1.0.9.tgz#73d83bc263f86e97f8cc4f6bae1b0e90a7d22c86"
dependencies:
sprintf-js "~1.0.2"
asn1@~0.2.3:
version "0.2.3"
resolved "https://registry.yarnpkg.com/asn1/-/asn1-0.2.3.tgz#dac8787713c9966849fc8180777ebe9c1ddf3b86"
......@@ -33,6 +39,12 @@ aws4@^1.2.1:
version "1.6.0"
resolved "https://registry.yarnpkg.com/aws4/-/aws4-1.6.0.tgz#83ef5ca860b2b32e4a0deedee8c771b9db57471e"
base-x@^3.0.2:
version "3.0.2"
resolved "https://registry.yarnpkg.com/base-x/-/base-x-3.0.2.tgz#bf873861b7514279b7969f340929eab87c11d130"
dependencies:
safe-buffer "^5.0.1"
bcrypt-pbkdf@^1.0.0:
version "1.0.1"
resolved "https://registry.yarnpkg.com/bcrypt-pbkdf/-/bcrypt-pbkdf-1.0.1.tgz#63bc5dcb61331b92bc05fd528953c33462a06f8d"
......@@ -49,6 +61,12 @@ boom@2.x.x:
dependencies:
hoek "2.x.x"
bs58@^4.0.1:
version "4.0.1"
resolved "https://registry.yarnpkg.com/bs58/-/bs58-4.0.1.tgz#be161e76c354f6f788ae4071f63f34e8c4f0a42a"
dependencies:
base-x "^3.0.2"
caseless@~0.12.0:
version "0.12.0"
resolved "https://registry.yarnpkg.com/caseless/-/caseless-0.12.0.tgz#1b681c21ff84033c826543090689420d187151dc"
......@@ -85,6 +103,10 @@ ecc-jsbn@~0.1.1:
dependencies:
jsbn "~0.1.0"
esprima@^3.1.1:
version "3.1.3"
resolved "https://registry.yarnpkg.com/esprima/-/esprima-3.1.3.tgz#fdca51cee6133895e3c88d535ce49dbff62a4633"
extend@~3.0.0:
version "3.0.1"
resolved "https://registry.yarnpkg.com/extend/-/extend-3.0.1.tgz#a755ea7bc1adfcc5a31ce7e762dbaadc5e636444"
......@@ -157,6 +179,13 @@ jodid25519@^1.0.0:
dependencies:
jsbn "~0.1.0"
js-yaml@^3.8.4:
version "3.8.4"
resolved "https://registry.yarnpkg.com/js-yaml/-/js-yaml-3.8.4.tgz#520b4564f86573ba96662af85a8cafa7b4b5a6f6"
dependencies:
argparse "^1.0.7"
esprima "^3.1.1"
jsbn@~0.1.0:
version "0.1.1"
resolved "https://registry.yarnpkg.com/jsbn/-/jsbn-0.1.1.tgz#a5e654c2e5a2deb5f201d96cefbca80c0ef2f513"
......@@ -270,6 +299,10 @@ sntp@1.x.x:
dependencies:
hoek "2.x.x"
sprintf-js@~1.0.2:
version "1.0.3"
resolved "https://registry.yarnpkg.com/sprintf-js/-/sprintf-js-1.0.3.tgz#04e6926f662895354f3dd015203633b857297e2c"
sshpk@^1.7.0:
version "1.13.0"
resolved "https://registry.yarnpkg.com/sshpk/-/sshpk-1.13.0.tgz#ff2a3e4fd04497555fed97b39a0fd82fafb3a33c"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment